@import './_include.scss';

@include font-face-otf('Means-light', 'Means-Light');
@include font-face-ttf('DMSans-regular', 'DMSans-Regular');
@include font-face-ttf('DMSans-medium', 'DMSans-Medium');

* + * {
  margin: 0;
}
html {
  line-height: 1.15; /* 1 */
  font-size:62.5%;
  -webkit-text-size-adjust: 100%; /* 2 */
}

#root {
  font-family: $font-dmsans-regular;
  font-size: 16px;
  color: #241c15;
}

.page-title {
  margin-bottom: 24px;
  font-size: 24px;
  line-height: 1.17;
}

.rfs-button {
  font-family: $font-dmsans-medium;
  border: 0 none;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font-weight: 500;
  font-size: 1.3rem;
  line-height: calc(4px * 11);
  white-space: nowrap;
  padding: 0 calc(4px * 8);
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  transition: border 0.2s ease-in-out 0s, color 0.2s ease-in-out 0s,
    background-color 0.2s ease-in-out 0s;
}

.rfs-button-primary {
  background:$color-primary;
  color: #fff;
}

.rfs-form-field-container {
  width: 100%;
}

.rfs-form-label {
  font-size: 1.6rem;
  font-family: $font-dmsans-medium;
}

.field-row {
  display: flex;
  align-items: center;

  .field-item {
    margin-top: 25px;
  }

  .field-input-wrapper {
    max-width: 312px;
    flex: 1;
  }

  > *:not(:last-child) {
    margin-right: 24px;
  }
}

.controls-container {
  > * {
    margin-bottom: 24px;
  }
  > *:not(:last-child) {
    margin-right: 24px;
  }
}

.integration-button {
  background: transparent;
  outline: none;
  border: none;
  cursor: pointer;

  &__logout {
    font-family: $font-dmsans-medium;
    color: var(--link-color);
    line-height: 1.5;
  }
}

.sync-notification-container {
  width: 630px;
}

.table {
  display: table;
  width: 100%;
  border: 1px solid rgba(36, 28, 21, 0.15);
  border-collapse: collapse;
  box-sizing:border-box;
  .table-header {
    display: table-header-group;
    box-sizing:border-box;
    .table-cell {
      line-height: 24px;
      font-weight: bold;
      text-align: center;
      color: #241C15;
      border: 0;
    }
  }
  .table-cell {
    display: table-cell;
    font-weight: normal;
    line-height: 24px;
    padding: 16px;
    box-sizing:border-box;
    border: 1px solid rgba(36, 28, 21, 0.15);
  }
  .table-body {
    display: table-row-group;
    box-sizing:border-box;
  }
  .table-row {
    div:first-of-type {
      width: 16%;
    }
    div:nth-of-type(2) {
      text-align: center;
    }
    display: table-row;
    border: 1px solid rgba(36, 28, 21, 0.15);
    box-sizing:border-box;
  }
}

.pagination-container {
  display: flex;
  width: 100%;
  justify-content: flex-end;
  align-items: center;
  margin: 24px 0 0;
  .page-next,
  .page-prev {
    font-weight: bold;
    outline: none;
    font-size: 20px;
    border: 1px solid rgba(36, 28, 21, 0.15);
    cursor: pointer;
    margin: 0 5px;
    width: 44px;
    height: 44px;
    flex-grow: 0;
    padding: 10px;
    background-color: #efeee9;
    align-content: center;
    justify-content: center;
    display: flex;
  }
  .page-next {
    margin-right: 0;
  }
}

.rfs-form-control {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border: 1px solid rgba(36, 28, 21, 0.65);
  cursor: pointer;
  flex: 0 0 auto;
  height: 2.4rem;
  margin: 0 1.2rem 0 0;
  outline: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  width: 2.4rem;
}
.rfs-form-control-checkbox {
  transition: background-color 0.2s ease-in-out, opacity 0.2s ease-in-out;
}
.rfs-form-control-checkbox::after {
  border-bottom: 2px solid #ffffff;
  border-left: 2px solid #ffffff;
  content: "";
  display: block;
  height: 6px;
  margin: 5px 4px;
  opacity: 0;
  transform: rotate(-45deg);
  width: 1.2rem;
}
.rfs-form-control-checkbox:checked {
  border-color: #241c15 !important;
  background-color: #007c89;
}
.rfs-form-control-checkbox:checked::after {
  opacity: 1;
}
.rfs-form-control-checkbox:focus {
  outline: 2px solid #007c89;
  outline-offset: 1px;
}
.rfs-form-control-checkbox[disabled],
.rfs-form-control-checkbox[disabled]::after {
  background-color: #efeeea;
  border-color: rgba(36, 28, 21, 0.15);
  pointer-events: none;
}
.rfs-form-control-radio {
  background-color: #ffffff;
  border-radius: 50%;
  padding: 5px;
}
.rfs-form-control-radio:checked {
  border-color: #241c15 !important;
}
.rfs-form-control-radio:checked::before {
  background-color: #007c89;
  border-radius: 50%;
  content: "";
  display: block;
  height: 100%;
  width: 100%;
}
.rfs-form-control-radio:focus {
  border-width: 2px;
}
.rfs-form-control-radio:checked:focus {
  padding: 5px;
}
.rfs-form-control-radio[disabled] {
  pointer-events: none;
  background-color: #efeeea;
}
.rfs-form-control-radio[disabled]::before {
  background-color: rgba(36, 28, 21, 0.3);
}
.rfs-form-control-error .rfs-form-control-checkbox,
.rfs-form-control-error .rfs-form-control-radio {
  outline-color: #a73205;
  border-color: #a73205;
}
.rfs-form-control-error + .rfs-form-description {
  color: #a73205;
}
.rfs-form-control-label {
  display: flex;
}
.rfs-form-control-label + .rfs-form-description {
  padding-left: calc(2.4rem + 1.2rem);
}
.rfs-form-description {
  color: rgba(36, 28, 21, 0.65);
  margin-top: 0.4rem;
}
.rfs-form-description-error {
  color: #a73205;
}
.rfs-form-field {
  background-clip: padding-box;
  background-color: #ffffff;
  border: 1px solid rgba(36, 28, 21, 0.65);
  box-sizing: border-box;
  display: block;
  line-height: 2.4rem;
  margin-top: 0.4rem;
  padding: 0.8rem;
  transition: border-color 0.2s ease-in-out;
  width: 100%;
}
.rfs-form-field:hover {
  border-color: #241c15;
}
.rfs-form-field:focus {
  box-shadow: inset 0 -2px 0 transparent;
  outline-offset: 1px;
  outline: 2px solid #007c89;
}
.rfs-form-field[disabled] {
  background-color: transparent;
  border-color: rgba(36, 28, 21, 0.5);
  color: rgba(36, 28, 21, 0.5);
  pointer-events: none;
}
.rfs-form-field[readonly] {
  background-color: transparent;
}
.rfs-form-field::-moz-placeholder {
  color: rgba(36, 28, 21, 0.65);
}
.rfs-form-field:-ms-input-placeholder {
  color: rgba(36, 28, 21, 0.65);
}
.rfs-form-field::-ms-input-placeholder {
  color: rgba(36, 28, 21, 0.65);
}
.rfs-form-field::placeholder {
  color: rgba(36, 28, 21, 0.65);
}
.rfs-form-field[disabled]::-moz-placeholder {
  color: rgba(36, 28, 21, 0.3);
}
.rfs-form-field[disabled]:-ms-input-placeholder {
  color: rgba(36, 28, 21, 0.3);
}
.rfs-form-field[disabled]::-ms-input-placeholder {
  color: rgba(36, 28, 21, 0.3);
}
.rfs-form-field[disabled]::placeholder {
  color: rgba(36, 28, 21, 0.3);
}
.rfs-form-field::-ms-clear {
  display: none;
}
.rfs-form-field-error {
  border-color: #a73205 !important;
}
.rfs-form-field-error:focus {
  outline-color: #a73205;
}
.rfs-form-label {
  font-weight: 500;
}
.rfs-form-label-container {
  display: flex;
  justify-content: space-between;
}
.rfs-form-label-container > * {
  margin: 0;
}
.rfs-form-label-secondary {
  color: rgba(36, 28, 21, 0.65);
}
.rfs-form-select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-image: url("data:image/svg+xml,%3Csvg width='24' height='24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M6.293 10.707l1.414-1.414L12 13.586l4.293-4.293 1.414 1.414L12 16.414l-5.707-5.707z' fill='%23241C15'/%3E%3C/svg%3E%0A");
  background-position: right 0.4rem top 50%;
  background-repeat: no-repeat;
  border-radius: 0;
  border: 1px solid rgba(36, 28, 21, 0.65);
  cursor: pointer;
  display: block;
  line-height: 2.4rem;
  margin-top: 0.4rem;
  max-width: 100%;
  padding: 0.8rem 2.4rem 0.8rem 0.8rem;
  width: 100%;
}
.rfs-form-select:focus {
  outline: 2px solid #007c89;
  outline-offset: 1px;
}
.rfs-form-select:hover {
  background-color: rgba(0, 124, 137, 0.1);
}
.rfs-form-select-error {
  border-color: #a73205;
}
.rfs-form-select-error:focus {
  outline-color: #a73205;
}
.rfs-form-select[disabled] {
  background-color: transparent !important;
  pointer-events: none;
  color: rgba(36, 28, 21, 0.65);
  border-color: rgba(36, 28, 21, 0.15);
}
.rfs-form-select[readonly] {
  background-color: transparent !important;
}
.rfs-form-progress[value] {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-color: #efeeea;
  border-radius: 0;
  border: none;
  color: #241c15;
  height: 0.8rem;
  margin-top: 0.4rem;
  position: relative;
  width: 100%;
}
.rfs-form-progress[value]::-webkit-progress-bar {
  background-color: #efeeea;
  border-radius: 0;
}
.rfs-form-progress[value]::-webkit-progress-value {
  background-color: #241c15;
  border-radius: 0;
  position: relative;
}
.rfs-form-progress[value]::-moz-progress-bar {
  background-color: #241c15;
}